﻿using LibOfdPrinterParam;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace WpfOfdPrinterClient
{
    class OfdToPrintConvertor
    {
        public string HttpServerUrl { get; set; }
        public OfdPrinterOutput OfdFileToPdf(OfdPrinterInput inputParam)
        {
            string jsonText = JsonConvert.SerializeObject(inputParam);

            NameValueCollection postParam = new NameValueCollection();
            postParam.Add("input", jsonText);

            WebClient webClient = new WebClient();
            byte[] data = webClient.UploadValues(HttpServerUrl, "POST", postParam);
            string strData = Encoding.UTF8.GetString(data);

            OfdPrinterOutput ofdOutputParam = JsonConvert.DeserializeObject<OfdPrinterOutput>(strData);

            return ofdOutputParam;
        }
    }
}
